sub clamav {
  #CLAM ANTIVIRUS
  &debug("clamav_scanner: starting scan of directory \"$scandir/$file_id\"...");
  my ($clamav_verbose)="" if (!$DEBUG);
  my ($clamav_list)="-l" if ($DEBUG);
  my ($start_clamav_time)=[gettimeofday];
  my ($DD,$clamav_status,$stop_clamav_time,$clamav_time);
  my $clamav_options = "-w -r --disable-summary";
  my ($cmd);
  $cmd="$clamav_binary $clamav_verbose $clamav_list $clamav_options $scandir/$file_id 2>&1";
  &debug("clamav_scanner: $cmd");
  $DD =`$cmd`;

  &debug("clamav_scanner: $DD");

    if ($DD =~ /: (.*) FOUND/) {
      $quarantine_description=$1;
      &debug("There is a virus! ($quarantine_description)");
      ($quarantine_event=$quarantine_description)=~s/\s/_/g;
      $quarantine_event="CLAMAV:".substr($quarantine_event,0,$QE_LEN);
      $description .= "\n--- clamav results ---\n$DD";
    }

  $stop_clamav_time=[gettimeofday];
  $clamav_time = tv_interval ($start_clamav_time, $stop_clamav_time);
  &debug("clamav_scanner: finished scan of dir \"$scandir/$file_id\" in $clamav_time 
secs");
}
